# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: cas
Summary: Tool to analyze and configure core file environment
Version: 1.0
Release: alt2_4
Source0: https://fedorahosted.org/releases/c/a/cas/%{name}-%{version}.tar.gz
License: GPLv3+
Group: File tools
BuildArch: noarch
Url: http://fedorahosted.org/cas
BuildRequires: python-devel
%if 0%{?rhel} <= 5
%endif
Requires: xz
Requires: crash
Source44: import.info

%description
CAS provides a user the ability to configure an environment for core analysis
quickly. All the hassles of matching kernel versions and machine architecture
types to core dumps are automatically detected and processed.

%package admin
Summary: Administrative frontend to CAS
Group: File tools
Requires: cas = %{version}-%{release}

%description admin
Administrative frontend to CAS database. Provides the ability to update
the database instance with newly added kernel debug information and timestamps.

%package server
Summary: Web frontend to CAS
Group: File tools
Requires: cas = %{version}-%{release}
Requires: cas-admin = %{version}-%{release}

%description server
Provides web frontend to CAS to allow for a much simpler user experience when
dealing with vmcores.

%prep
%setup -q

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
for i in `find ${RPM_BUILD_ROOT} -iname Makefile`; do rm $i; done

%files
%config(noreplace) %{_sysconfdir}/cas.conf
%{_bindir}/cas
%{python_sitelibdir_noarch}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_datadir}/%{name}
%dir %{_var}/lib/cas/snippets/
%config(noreplace) %{_var}/lib/cas/snippets/*
%doc AUTHORS LICENSE README PKG-INFO doc/*

%files admin
%{_bindir}/cas-admin

%files server
%{_datadir}/%{name}/overseer
%{_bindir}/cas-server

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2_4
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 1.0-alt2_3
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_3
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_2
- fc import

